package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 焊漏率报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class WeldLeakRateReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工厂
     */
    @Excel(name = "工厂")
    @JsonProperty("FACTORY_NAME")
    private String FACTORY_NAME;

    /**
     * 产线
     */
    @Excel(name = "产线")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * 周数
     */
    @Excel(name = "周数")
    @JsonProperty("WEEK_NUMBER")
    private Long WEEK_NUMBER;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    @JsonProperty("WEEK_START")
    private String WEEK_START;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    @JsonProperty("WEEK_END")
    private String WEEK_END;

    /**
     * 检验数
     */
    @Excel(name = "检验数")
    @JsonProperty("Q_SUM")
    private Long Q_SUM;

    /**
     * 焊漏数
     */
    @Excel(name = "焊漏数")
    @JsonProperty("LEAK_SUM")
    private Long LEAK_SUM;

    /**
     * 焊漏率
     */
    @Excel(name = "焊漏率")
    @JsonProperty("REPAIR_RATE")
    private String REPAIR_RATE;

    public String getFACTORY_NAME() {
        return FACTORY_NAME;
    }

    public void setFACTORY_NAME(String FACTORY_NAME) {
        this.FACTORY_NAME = FACTORY_NAME;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public Long getWEEK_NUMBER() {
        return WEEK_NUMBER;
    }

    public void setWEEK_NUMBER(Long WEEK_NUMBER) {
        this.WEEK_NUMBER = WEEK_NUMBER;
    }

    public String getWEEK_START() {
        return WEEK_START;
    }

    public void setWEEK_START(String WEEK_START) {
        this.WEEK_START = WEEK_START;
    }

    public String getWEEK_END() {
        return WEEK_END;
    }

    public void setWEEK_END(String WEEK_END) {
        this.WEEK_END = WEEK_END;
    }

    public Long getQ_SUM() {
        return Q_SUM;
    }

    public void setQ_SUM(Long q_SUM) {
        Q_SUM = q_SUM;
    }

    public Long getLEAK_SUM() {
        return LEAK_SUM;
    }

    public void setLEAK_SUM(Long LEAK_SUM) {
        this.LEAK_SUM = LEAK_SUM;
    }

    public String getREPAIR_RATE() {
        return REPAIR_RATE;
    }

    public void setREPAIR_RATE(String REPAIR_RATE) {
        this.REPAIR_RATE = REPAIR_RATE;
    }
}
